# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/iio/accel/adi,adxl380.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Analog Devices ADXL380/382 3-Axis Digital Accelerometer

maintainers:
  - Ramona Gradinariu <ramona.gradinariu@analog.com>
  - Antoniu Miclaus <antoniu.miclaus@analog.com>

description: |
  The ADXL380/ADXL382 and ADXL318/ADXL319 are low noise density,
  low power, 3-axis accelerometers with selectable measurement ranges.
  The ADXL380 and ADXL318 support the ±4 g, ±8 g, and ±16 g ranges,
  while the ADXL382 and ADXL319 support ±15 g, ±30 g, and ±60 g ranges.

  https://www.analog.com/en/products/adxl318.html
  https://www.analog.com/en/products/adxl380.html

properties:
  compatible:
    enum:
      - adi,adxl318
      - adi,adxl319
      - adi,adxl380
      - adi,adxl382

  reg:
    maxItems: 1

  interrupts:
    minItems: 1
    maxItems: 2

  interrupt-names:
    minItems: 1
    items:
      - enum: [INT0, INT1]
      - const: INT1

  vddio-supply: true

  vsupply-supply: true

required:
  - compatible
  - reg
  - interrupts
  - interrupt-names
  - vddio-supply
  - vsupply-supply

allOf:
  - $ref: /schemas/spi/spi-peripheral-props.yaml#

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>

    i2c {
      #address-cells = <1>;
      #size-cells = <0>;

      accelerometer@54 {
        compatible = "adi,adxl380";
        reg = <0x54>;
        vddio-supply = <&vddio>;
        vsupply-supply = <&vsupply>;
        interrupt-parent = <&gpio>;
        interrupts = <25 IRQ_TYPE_LEVEL_HIGH>;
        interrupt-names = "INT0";
      };
    };
  - |
    #include <dt-bindings/interrupt-controller/irq.h>

    spi {
      #address-cells = <1>;
      #size-cells = <0>;

      accelerometer@0 {
        compatible = "adi,adxl380";
        reg = <0>;
        spi-max-frequency = <8000000>;
        vddio-supply = <&vddio>;
        vsupply-supply = <&vsupply>;
        interrupt-parent = <&gpio>;
        interrupts = <25 IRQ_TYPE_LEVEL_HIGH>;
        interrupt-names = "INT0";
      };
    };
